Subject: Re: [Add] My longer list of questions [from partial distribution at the MIC]

From: <[email-masked]>
Date: Thu, 1 Aug 2019 11:12:46 +0000

Hi,

That is also our experience from large scale DNS deployments. More than 90% of the users are using the DNS service which is provided by the network (usually via DHCP but this could be also an alternative discovery mechanisms in the future) – in most of the cases they even do not know what DNS is. The other 10% are actively opting out - for whatever reason - of the DNS provided by the network (which is fine because I assume that they exactly know what they are doing).

Regards

Nic

Von: Add <[email-masked]> Im Auftrag von Andrew Campling
Gesendet: Mittwoch, 31. Juli 2019 23:52
An: Eric Rescorla <[email-masked]>; ADD Mailing list <[email-masked]>
Betreff: Re: [Add] My longer list of questions [from partial distribution at the MIC]

> On Wed, Jul 31, 2019 at 15:02 Eric Rescorla <[email-masked]<mailto:[email-masked]>> wrote:

>> On Wed, Jul 31, 2019 at 7:01 AM Paul Ebersman <[email-masked]<mailto:[email-masked]>> wrote:

>> Many users of 8.8.8.8 do so because they get it via DHCP.

> Absolutely true, but I'm not sure why that matters. The fact is that many also manually configure it, and no matter how it is configured, it's not the ISP providing the service.

In the markets that I’m most familiar with, the split of users opting to obtain DNS from a source other than their ISP is around ten percent.  In those markets the above statement that “… many also manually configure …” would be more accurately rewritten as “a small minority manually configure”.

In reality behaviour varies significantly between markets so we shouldn’t assume that, for example, the behaviours that apply in the US, or indeed the very different behaviours in Vietnam, are generally true elsewhere.